## wal-e 0.7.1

=== Makefile ===
ALLSPHINXOPTS= -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
MODULE=wal_e
VIRTUALENV=$(shell echo "$${VDIR:-'.env'}")
PYTHON=$(VIRTUALENV)/bin/python

all: $(VIRTUALENV)

$(VIRTUALENV): requirements.txt
	@virtualenv --no-site-packages $(VIRTUALENV)
	@$(VIRTUALENV)/bin/pip install -M -r requirements.txt
	$(PYTHON) setup.py develop
	touch $(VIRTUALENV)

.PHONY: help
# target: help - Display callable targets
help:
	@egrep "^# target:" [Mm]akefile | sed -e 's/^# target: //g'

.PHONY: clean
# target: clean - Clean repo
clean:
	@rm -rf build dist docs/_build
	@rm -f *.py[co]
	@rm -f *.orig
	@rm -f */*.py[co]
	@rm -f */*.orig

.PHONY: register
# target: register - Register module on PyPi
register:
	$(PYTHON) setup.py register

.PHONY: upload
# target: upload - Upload module on PyPi
upload: clean
	$(PYTHON) setup.py sdist upload || echo 'Upload already'

.PHONY: test
# target: test - Run module tests
test: clean
	PATH=$(VIRTUALENV)/bin:$(PATH) $(PYTHON) setup.py test

=== requirements.txt ===
gevent>=0.13.1
boto>=2.6.0
azure>=0.7.0
python-swiftclient>=1.8.0
python-keystoneclient>=0.4.2

=== debian/changelog ===
wal-e (0.7.1-1mrtns5) trusty; urgency=low

  * Dependencies added: lzop and daemontools.

 -- Kirill Kouznetsov <kir@evilmartians.com>  Fri, 13 Jun 2014 01:37:08 +0400

wal-e (0.7.1-1mrtns4) trusty; urgency=low

  * Typo fix in lsb release

 -- Maxim Filatov <bregor@evilmartians.com>  Fri, 06 Jun 2014 14:05:08 +0400

wal-e (0.7.1-1mrtns3) unstable; urgency=low

  * catch up and overtake

 -- Maxim Filatov <bregor@evilmartians.com>  Fri, 06 Jun 2014 13:47:36 +0400

wal-e (0.7.1-1mrtns1) trusty; urgency=low

  * Log martian packets

 -- Maxim Filatov <bregor@evilmartians.com>  Fri, 06 Jun 2014 13:21:31 +0400

wal-e (0.7.1-1) unstable; urgency=low

  * source package automatically created by stdeb 0.6.0+git

 -- Daniel Farina <daniel@heroku.com>  Fri, 06 Jun 2014 13:16:23 +0400

=== debian/control ===
Source: wal-e
Maintainer: Daniel Farina <daniel@heroku.com>
Uploaders: Maxim Filatov <bregor@evilmartians.com>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7.4.3)
Standards-Version: 3.9.5

Package: python-wal-e
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, pv, lzop, daemontools
Description: Simple Continuous Archiving for Postgres
 WAL-E is a program designed to perform continuous archiving of PostgreSQL
 WAL files and manage the use of pg_start_backup and pg_stop_backup.
 .
 To correspond on using WAL-E or to collaborate on its development, do
 not hesitate to send mail to the mailing list at
 wal-e@googlegroups.com.  Github issues are also currently being used
 to track known problems, so please feel free to submit those.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Fri, 06 Jun 2014 13:16:23 +0400

%:
	dh $@ --with python2 --buildsystem=python_distutils

## wal-e 0.7.3

=== debian/changelog ===
wal-e (0.7.3-2mrtns2) precise; urgency=low

  * Explicit dependencies in control file

 -- Maxim Filatov <bregor@evilmartians.com>  Mon, 08 Dec 2014 13:31:37 +0300

wal-e (0.7.3-2mrtns1) precise; urgency=low

  * Precise build by Evil Martians

 -- Maxim Filatov <bregor@evilmartians.com>  Tue, 28 Oct 2014 17:06:59 +0300

wal-e (0.7.3-1) unstable; urgency=low

  * source package automatically created by stdeb 0.6.0+git

 -- Daniel Farina <daniel@heroku.com>  Tue, 28 Oct 2014 18:05:53 +0400

=== debian/control ===
Source: wal-e
Maintainer: Daniel Farina <daniel@heroku.com>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7.4.3)
Standards-Version: 3.9.1

Package: python-wal-e
Architecture: all
Depends: python-pkg-resources, lzop, daemontools, ${misc:Depends}, ${python:Depends}
Description: Simple Continuous Archiving for Postgres
 WAL-E Disaster Recovery
 =======================
 .
 .. contents:: Table of Contents
 .
 Introduction
 ------------
 .
 WAL-E is a program designed to perform continuous archiving of PostgreSQL
 WAL files and manage the use of pg_start_backup and pg_stop_backup.
 .
 To correspond on using WAL-E or to collaborate on its development, do
 not hesitate to send mail to the mailing list at
 wal-e@googlegroups.com.  Github issues are also currently being used
 to track known problems, so please feel free to submit those.
 .
 .
 Primary Commands and Concepts
 -----------------------------
 .

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Tue, 28 Oct 2014 18:05:53 +0400

%:
	dh $@ --with python2 --buildsystem=python_distutils
